PowerModelSpecPowerDVFS (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.power.models

## Class PowerModelSpecPowerDVFS

- java.lang.Object
- - org.cloudbus.cloudsim.power.models.PowerModelSpecPowerDVFS

- All Implemented Interfaces:
    PowerModel
  Direct Known Subclasses:
    PowerModelSpecPower_BAZAR, PowerModelSpecPower_BAZAR_MultiProc, PowerModelSpecPower_REIMS, PowerModelSpecPower_REIMS_Disk, PowerModelSpecPower_REIMS_Net

      public abstract class PowerModelSpecPowerDVFS
      extends Object
      implements PowerModel

  Generic Power Model Class Using DVFS Your PowerModel class (with yours power consumption values must extend this class
  Author:
    Guérout Tom, Monteil Thierry, Da Costa Georges | LAAS - IRIT , Toulouse, France

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerModelSpecPowerDVFS()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract double` | `getPMax(int frequency)`
    `abstract double` | `getPMin(int frequency)`
    `double` | `getPower(double utilization)` Get power consumption by the utilization percentage according to the power model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerModelSpecPowerDVFS

          public PowerModelSpecPowerDVFS()

  - ### Method Detail

    - #### getPower

          public double getPower(double utilization)
                          throws IllegalArgumentException

      Description copied from interface: `PowerModel`
      Get power consumption by the utilization percentage according to the power model.
      Specified by:
        `getPower` in interface `PowerModel`
      Parameters:
        `utilization` - the utilization
      Returns:
        power consumption
      Throws:
        `IllegalArgumentException` - the illegal argument exception

    - #### getPMin

          public abstract double getPMin(int frequency)

    - #### getPMax

          public abstract double getPMax(int frequency)

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.